# Configurations_Get

Get a single record.

`GET /v1/companies/{company}/Configurations/{identifier}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Configurations
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Configurations/Configurations_Get/

## Description

Retrieve a single record for a company based the ID.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `identifier` | string | path | Yes | The TTE to retrieve. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.ConfigurationModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.ConfigurationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `tteId` | string | **Yes** | Configuration ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `tteName` | string | **Yes** | TTE configuration name. Example: `SampleTTE`. |
| `tteType` | string | **Yes** | TTE type.
Values: `Default` and `Lodging`. Example: `Default`. |
| `parentTTEId` | string | No | Parent TTE ID. Example: `00000000-0000-0000-0000-000000000000 (optional)`. |
| `tteConfiguration` | Avalara.POS.API.CFG.Model.ConfigurationModel+Configuration | **Yes** |  |
| `outputFile` | object | **Yes** |  |
| `defaultCountry` | string | **Yes** | Default country Example: `US`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail Example: `Default=> Retail`. |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Configurations/{identifier}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```